#!/bin/bash

# Переменные
GROUP_NAME='%GROUP_NAME%'
SHARE_DIR='%SHARE_DIR%'
SAMBA_CONF="/etc/samba/smb.conf"

#Добавление всех пользователей из группы $GROUP_NAME в Samba
for user in $(getent group $GROUP_NAME | cut -d: -f4 | tr ',' ' '); do
    echo "Обрабатываем пользователя $user из группы $GROUP_NAME..."

    # Проверяем, существует ли пользователь в системе
    if id -u "$user" >/dev/null 2>&1; then
        echo "Добавляем пользователя $user в Samba..."

        
        password="1"
        (echo "$password"; echo "$password") | sudo smbpasswd -s -a "$user"

    else
        echo "Пользователь $user не существует в системе, пропускаем..."
    fi
done
# Создание общей папки и настройка прав
mkdir -p $SHARE_DIR
chown -R :$GROUP_NAME $SHARE_DIR
chmod -R 0777 $SHARE_DIR

# Настройка конфигурации Samba
sudo sed -i 's/^\( *workgroup *= *\).*/\1ATLANTWORK/' $SAMBA_CONF
sudo bash -c "cat >> $SAMBA_CONF <<EOL
[Share]
   path = $SHARE_DIR
   browseable = yes
   writable = yes
   valid users = @$GROUP_NAME
   force group = $GROUP_NAME
   create mask = 0660
   directory mask = 0770
   guest ok = no
EOL"


systemctl restart smbd

echo "Настройка Samba завершена. Теперь вы можете подключаться к общей папке"